# Class SendChatMessageReply

#### Hierarchy

- unknown
  - SendChatMessageReply

- Defined in src/protobuf/grpc_pb.d.ts:2710
- Defined in src/protobuf/grpc_pb.d.ts:2719

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SendChatMessageReply(): SendChatMessageReply

- #### Returns SendChatMessageReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2711

### toObject

- toObject(includeInstance?: boolean): SendChatMessageReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SendChatMessageReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2712

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendChatMessageReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendChatMessageReply

  - Defined in src/protobuf/grpc_pb.d.ts:2715

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendChatMessageReply, reader: BinaryReader): SendChatMessageReply

- #### Parameters

  - ##### message: SendChatMessageReply

  - ##### reader: BinaryReader

  #### Returns SendChatMessageReply

  - Defined in src/protobuf/grpc_pb.d.ts:2716

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SendChatMessageReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SendChatMessageReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2714

### `Static` toObject

- toObject(includeInstance: boolean, msg: SendChatMessageReply): SendChatMessageReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendChatMessageReply

  #### Returns SendChatMessageReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2713

Generated using TypeDoc